Public APIContacts
Create a contact
POST
bearerAuthheader
AuthorizationBearer <token>API key in the Authorization: Bearer <key> header.
Keys are created in the Hallolara dashboard (Settings → API Keys).
application/json- body
group_id*stringMatch
^[a-f0-9]{24}$phone_numbers*array<>Items
1 <= itemsfirst_name?stringDefault
""last_name?stringDefault
""email?stringEmail address. Empty string is accepted if you don't have the contact's email.
Format
emailDefault
""company?stringDefault
""prompt?stringDefault
""preferred_language?stringValue in
"de""en""fr""it""de-CH""es""pt""tr""sv""fi""nl""unknown"gender?stringOptional gender value. Omit it or send an empty string when not specified.
Default
""forwarding_id?|Match
^[a-f0-9]{24}$Default
nullCreated.
application/json- response
data?curl -X POST 'https://api.hallolara.ai/api/v1/contacts' \ -H 'Content-Type: application/json' \ -d '{ "group_id": "65a1234567890abcdef01234", "phone_numbers": [ "+12025550123" ], "first_name": "Ada", "last_name": "Lovelace"}'Example Response
{ "data": { "id": "string", "group_id": "string", "group_name": "string", "phone_numbers": [ "string" ], "first_name": "string", "last_name": "string", "email": "string", "company": "string", "gender": "string", "prompt": "string", "preferred_language": "string", "forwarding_id": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }}